#include "OgreScene.h"

OgreScene::OgreScene(void)
{
}

OgreScene::~OgreScene(void)
{
	for(unsigned int i=0; i<nodes.size(); i++)
		delete nodes[i];
	nodes.clear();

	for(map<string, OgreMaterial*>::const_iterator it = materials.begin(); it != materials.end(); ++it)
		delete it->second;
	materials.clear();

	for(map<string, OgreMesh*>::const_iterator it = meshes.begin(); it != meshes.end(); ++it)
		delete it->second;
	meshes.clear();


}
